Name: kde-settings-small_business 
Version: 4.1.1
Release: alt0.M41.3
BuildArch: noarch

Source: %name-%version.tar


Summary: KDE settings for Desktop version
License: GPL
Group: System/Configuration/Other
Packager: Anton V. Boyarshiniv <boyarsh@altlinux.org>

Requires: kdelibs >= 3.5.7-alt3 kde-styles-splash-small_business
PreReq(post,preun): alternatives >= 0.2

%description
KDE settings  for Desktop version


%prep
%setup -q


%install
mkdir -p %buildroot/etc/kde/settings-small_business/share/config
install -m 0644 config/* %buildroot/etc/kde/settings-small_business/share/config

mkdir -p %buildroot/etc/kde/settings-small_business/share/apps/kdisplay/color-schemes
install -m 0644 apps/kdisplay/color-schemes/* %buildroot/etc/kde/settings-small_business/share/apps/kdisplay/color-schemes/

mkdir -p %buildroot/etc/kde/settings-small_business/share/apps/kviewviewer/kpartplugins
install -m 0644 apps/kviewviewer/kpartplugins/* %buildroot/etc/kde/settings-small_business/share/apps/kviewviewer/kpartplugins

mkdir -p %buildroot/etc/kde/settings-small_business/share/kde
install -m 0644 kde/* %buildroot/etc/kde/settings-small_business/share/kde

mkdir -p %buildroot/etc/kde/settings-small_business/share/apps/kicker/
install -m 0644 apps/kicker/* %buildroot/etc/kde/settings-small_business/share/apps/kicker

mkdir -p  %buildroot/usr/share/applications/kde/
install -m 0644 applications/* %buildroot/usr/share/applications/kde/

mkdir -p %buildroot/usr/share/apps/kconf_update
cp -a kconf_update/*  %buildroot/usr/share/apps/kconf_update

mkdir -p %buildroot/%_altdir
cat >%buildroot/%_altdir/%name <<__EOF__
/etc/kde/distribution	/etc/kde/settings-small_business 50
__EOF__


%post
%post_register_alternatives %name -- %name
%update_alternatives
%preun
%preun_unregister_alternatives %name


%files
%config %_altdir/%name
/etc/kde/settings-small_business/
/usr/share/applications/kde/*
/usr/share/apps/kconf_update/*

%changelog
* Mon Dec 08 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.1.1-alt0.M41.3
- typos fixed

* Mon Nov 10 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.1.1-alt0.M41.2
- splash and colors fixed 

* Thu Nov 06 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.1.1-alt0.M41.1
- small business version 

* Sat Nov 01 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.1-alt2.M41.1
- reverted compiz exclusion 

* Wed Oct 29 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.1-alt1.M41.1
- added compiz to ignored from sessions
- added simple kaffeine config to skip master

* Wed Oct 08 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.1-alt1
- build for Sisyphus 

* Wed Sep 24 2008 Andrey Cherepanov <cas@altlinux.ru> 4.1-alt0.M41.9
- add Konqueror bookmarks
- localize bookmarks on Russian

* Wed Sep 24 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.1-alt0.M41.8
- fixed launcher 

* Tue Sep 23 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.1-alt0.M41.7
- changed default quick launch applications 
- fixed upgrade from 4.0

* Fri Sep 19 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.1-alt0.M41.6
- added 'home folder' into main menu 

* Thu Sep 18 2008 Andrey Cherepanov <cas@altlinux.ru> 4.1-alt0.M41.5
- add kcmlaptop default configuration for power management

* Thu Sep 18 2008 Andrey Cherepanov <cas@altlinux.ru> 4.1-alt0.M41.4
- add old color scheme from ALT Linux 4.0 Desktop Personal

* Mon Sep 15 2008 Andrey Cherepanov <cas@altlinux.ru> 4.1-alt0.M41.3
- disable KMail plugin fot Kontact in ALT Linux 4.1 Desktop

* Mon Sep 15 2008 Andrey Cherepanov <cas@altlinux.ru> 4.1-alt0.M41.2
- change font family and size for Konsole
- open images in KView
- KView configuration update: fit to window, PageUp/PageDown for go though pictures
- change background picture for Konqueror file pane

* Mon Sep 15 2008 Andrey Cherepanov <cas@altlinux.ru> 4.1-alt0.M41.1
- update default color scheme
- add alternative blue color scheme

* Wed Jun 18 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt7.M41.7
- ported to M41 

* Mon Dec 24 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt7
- fixed compatibility with new kde-settings 

* Thu Oct 18 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt6
- changed splash screen 

* Thu Aug 09 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt5
- Changed konquerror background 

* Tue Jul 24 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt4
- Added BrowserApplication key 

* Thu Jul 05 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt3
- color scheme really added 

* Wed Jun 27 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt2
- color scheme added 

* Wed Jun 20 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0.1-alt1
- first build 




